/*
 * parameters.scad-edgehd1100 -- parameters for the bahtinov mask generator for
 *                               the Celestron EdgeHD 1100 telescope
 *
 * (c) 2014 Prof Dr Andreas Mueller
 */

// dimensions of the mask
radius = 299/2;	// outer radius of the mask.
height = 32;	// height of the border of the mask. If you have a
		// very strongly outward curved primary lens, you should
		// make this large enough so that the mask never touches
		// your lens
hole = 97/2;	// diameter of the hole 
holeheight = 20;	// height of the rim round the central hole, if you
			// have no hole, you should set this to 0 prevent 

// the next set of parameters you should get from your favorite bahtinov
// mask calculator on the internet. The parameters below were computed
// with the calculator at http://www.bmp-profi.de/Sandor-Maske

// here are parameters for the EdgeHD 1100 full focal length with a camera
// with 10um pixels
slotseparation = 14.567;	// separation of the slots
slotwidth = 2.081;		// width of the slots

// here are parameters for the EdgeHD 1100 with the 0.7x focal reducer
slotseparation = 10.402;	// separation of the slots
slotwidth = 1.486;		// width of the slots

angle = 15;	// the angle at which the angled slots are placed

// some boolean parameters
fillhole = 0;	// whether or not to fill the central hole. This is only
		// needed when the mask is glued together from 4 quadrants.
		// if fillhole = 1, then the ring() method creates a cap that
		// closes the mask in the center. If fillhole = 0, then the
		// ring() instead creates a ring
inside = 1;	// connect quadrants on the inside

// some seldom used parameters
thickness = 1;	// thickness of the mask

